
// Variables
@import 'variables';
// Bootstrap
@import '../../node_modules/bootstrap/scss/bootstrap';

.navbar-laravel {
  background-color: #fff;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.04);
}

/*******************************************************************************/

@font-face {
  font-family: 'IRANSansWeb_Bold';
  font-style: normal;
  font-weight: bold;
  src: url('../fonts/eot/IRANSansWeb_Bold.eot');
  src: url('../fonts/eot/IRANSansWeb_Bold.eot?#iefix') format('embedded-opentype'), /* IE6-8 */
  url('../fonts/woff2/IRANSansWeb_Bold.woff2') format('woff2'), /* FF39+,Chrome36+, Opera24+*/
  url('../fonts/woff/IRANSansWeb_Bold.woff') format('woff'), /* FF3.6+, IE9, Chrome6+, Saf5.1+*/
  url('../fonts/ttf/IRANSansWeb_Bold.ttf') format('truetype');
}

@font-face {
  font-family: 'IRANSansWeb_Medium';
  font-style: normal;
  font-weight: 500;
  src: url('../fonts/eot/IRANSansWeb_Medium.eot');
  src: url('../fonts/eot/IRANSansWeb_Medium.eot?#iefix') format('embedded-opentype'), /* IE6-8 */
  url('../fonts/woff2/IRANSansWeb_Medium.woff2') format('woff2'), /* FF39+,Chrome36+, Opera24+*/
  url('../fonts/woff/IRANSansWeb_Medium.woff') format('woff'), /* FF3.6+, IE9, Chrome6+, Saf5.1+*/
  url('../fonts/ttf/IRANSansWeb_Medium.ttf') format('truetype');
}

@font-face {
  font-family: 'IRANSansWeb_UltraLight';
  font-style: normal;
  font-weight: 200;
  src: url('../fonts/eot/IRANSansWeb_UltraLight.eot');
  src: url('../fonts/eot/IRANSansWeb_UltraLight.eot?#iefix') format('embedded-opentype'), /* IE6-8 */
  url('../fonts/woff2/IRANSansWeb_UltraLight.woff2') format('woff2'), /* FF39+,Chrome36+, Opera24+*/
  url('../fonts/woff/IRANSansWeb_UltraLight.woff') format('woff'), /* FF3.6+, IE9, Chrome6+, Saf5.1+*/
  url('../fonts/ttf/IRANSansWeb_UltraLight.ttf') format('truetype');
}

@font-face {
  font-family: 'IRANSansWeb';
  font-style: normal;
  font-weight: normal;
  src: url('../fonts/eot/IRANSansWeb.eot');
  src: url('../fonts/eot/IRANSansWeb.eot?#iefix') format('embedded-opentype'), /* IE6-8 */
  url('../fonts/woff2/IRANSansWeb.woff2') format('woff2'), /* FF39+,Chrome36+, Opera24+*/
  url('../fonts/woff/IRANSansWeb.woff') format('woff'), /* FF3.6+, IE9, Chrome6+, Saf5.1+*/
  url('../fonts/ttf/IRANSansWeb.ttf') format('truetype');
}

.ErrorBox {
  font-size: 20px;
}

// Extra small devices (portrait phones, less than 576px)
@media (max-width: 575.98px){

  container{
    @include make-container();
  }
  section{
    @include make-row();
  }
  /************************mail panel***************************/
  base-col {
    @include make-col(12);
    margin-top: 15%;
    min-height: 400px;
    font-family: 'IRANSansWeb';
    font-size: 16px;
  }
  subject,side,sender{
    border-radius: 5px;
    padding: 15px;
    background-color: #e6e6e6;
  }
  side{
    margin-top: 10px;
    display: block;
    @include make-col(12);
    text-align: right;
  }
  sender,subject{
    display: flex;
    margin-top: 10px;
    flex-direction: row-reverse;
  }
  sender b,sender strong,subject strong,subject b{
    text-align: right;
  }
  username strong,username b,password b,password strong{
    display: inline-block;
    text-align: right;
    direction: rtl;
  }
}

// Small devices (landscape phones, 576px and up)
@media (min-width: 576px) and (max-width: 767.98px){

  container{
    @include make-container();
  }
  section{
    @include make-row();
  }
  /************************mail panel***************************/
  base-col {
    @include make-col(12);
    margin-top: 15%;
    min-height: 400px;
    font-family: 'IRANSansWeb';
    font-size: 20px;
  }
  subject,side,sender{
    border-radius: 5px;
    padding: 15px;
    background-color: #e6e6e6;
  }
  side{
    margin-top: 10px;
    display: block;
    @include make-col(12);
    text-align: right;
  }
  sender,subject{
    display: flex;
    margin-top: 10px;
    flex-direction: row-reverse;
  }
  sender b,sender strong,subject strong,subject b{
    text-align: right;
  }
  username strong,username b,password b,password strong{
    display: inline-block;
    text-align: right;
    direction: rtl;
  }
}

// Medium devices (tablets, 768px and up)
@media (min-width: 768px) and (max-width: 991.98px){

  container{
    @include make-container();
  }
  section{
    @include make-row();
  }
  /************************mail panel***************************/
  base-col {
    @include make-col(8);
    @include make-col-offset(2);
    margin-top: 15%;
    min-height: 400px;
    font-family: 'IRANSansWeb';
    font-size: 20px;
  }
  subject,side,sender{
    border-radius: 5px;
    padding: 15px;
    background-color: #e6e6e6;
  }
  side{
    margin-top: 10px;
    display: block;
    @include make-col(12);
    text-align: right;
  }
  sender,subject{
    display: flex;
    margin-top: 10px;
    flex-direction: row-reverse;
  }
  sender b,sender strong,subject strong,subject b{
    text-align: right;
  }
  username strong,username b,password b,password strong{
    display: inline-block;
    text-align: right;
    direction: rtl;
  }
}

// Large devices (desktops, 992px and up)
@media (min-width: 992px) and (max-width: 1199.98px){

  container{
    @include make-container();
  }
  section{
    @include make-row();
  }
  /************************mail panel***************************/
  base-col {
    @include make-col(6);
    @include make-col-offset(3);
    margin-top: 15%;
    min-height: 400px;
    font-family: 'IRANSansWeb';
    font-size: 20px;
  }
  subject,side,sender{
    border-radius: 5px;
    padding: 15px;
    background-color: #e6e6e6;
  }
  side{
    margin-top: 10px;
    display: block;
    @include make-col(12);
    text-align: right;
  }
  sender,subject{
    display: flex;
    margin-top: 10px;
    flex-direction: row-reverse;
  }
  sender b,sender strong,subject strong,subject b{
    text-align: right;
  }
  username strong,username b,password b,password strong{
    display: inline-block;
    text-align: right;
    direction: rtl;
  }
}

// Extra large devices (large desktops, 1200px and up)
@media (min-width: 1200px){

  container{
    @include make-container();
  }
  section{
    @include make-row();
  }
  /************************mail panel***************************/
  base-col {
    @include make-col(6);
    @include make-col-offset(3);
    margin-top: 15%;
    min-height: 400px;
    font-family: Tahoma;
    font-size: 20px;
  }
  subject,side,sender{
    border-radius: 5px;
    padding: 15px;
    background-color: #e6e6e6;
  }
  side{
    margin-top: 10px;  display: block;width: 100%;text-align: right;
  }
  sender,subject{
    display: flex;  margin-top: 10px;  flex-direction: row-reverse;
  }
  sender b,sender strong,subject strong,subject b{
    text-align: right;
  }
  username strong,username b,password b,password strong{
    display: inline-block;  text-align: right;  direction: rtl;
  }
}